#include <iostream>
#include "turtle_robot.h"
//#include "PlcAgvRobot.h"
#include "Agv_card.h"

int main(int argc, char **argv)
{   
    std::setprecision(3);
    ros::init(argc, argv, "robot_control");

   /* if(CP16Card::Init()==false)
    {
        std::cout<<"CP1616 card init failed... "<<std::endl;
        return -1;
    }*/
    // RobotBase* robot=new TurtleRobot();
    RobotBase* robot=new Agv_card();
    ros::spin();
    delete robot;
   // CP16Card::UnInit();
    return 0;
}